[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSMap.InsertKeyData

Insert a key and associated in the list

## Declaration

Source position: fgl.pp line 279

`public procedure TFPSMap.InsertKeyData(`
`Index: Integer;`
`AKey: Pointer;`
`AData: Pointer`
`);`

## Arguments

`Index` |  | Index at which to insert key and value
`AKey` |  | Pointer to key value
`AData` |  | Pointer to data value

## Description

InsertKeyData will allocate a new slot in the list for a key value as pointed to by AKey, and copy the key pointed to by AKey as well as the data pointed to by AData to the newly allocated slot.

## Errors

If the maximum amount of values is reached or an invalid index is specified, InsertKeyData will raise an EListError exception.

## See also

TFPSMap.Add |  | Add a key, value pair to the map.
TFPSMap.Insert |  | Insert a new slot for key and associated data item in the list
TFPSMap.InsertKey |  | Insert a key in the list